%define oname guiloader-c++
Name: lib%oname
Version: 2.7.1
Release: alt0.1

Summary: A C++ binding to GuiLoader library

Url: http://gideon.sourceforge.net/
License: GPL
Group: Development/Other

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://dl.sf.net/gideon/%oname-%version.tar.bz2

# Automatically added by buildreq on Sun Jul 30 2006
BuildRequires: fontconfig gcc-c++ libgtkmm2-devel libguiloader-devel

%description
GuiLoader/C++ is a C++ binding to GuiLoader library. It is a convenience
layer that simplifies development of GuiLoader based applications written
in C++ language by introducing exception safety, binding GTK+ objects
defined in GuiXml to C++ variables and type-safe dynamic connection
to signals.

%package devel
Summary: The files needed for %oname application development
Summary(ru_RU.KOI8-R): ,       %oname
Group: Development/C
Requires: %name = %version-%release

%description devel
The %oname-devel package contains the necessary include files
for developing applications with %oname

%description devel -l ru_RU.KOI8-R
 %oname-devel    
  ,   %oname.

%prep
%setup -q -n %oname-%version

%build
%configure
%make

%install
%make_install install DESTDIR=%buildroot

%files
%doc AUTHORS README NEWS
%_libdir/*.so

%files devel
%doc examples/
%_includedir/%oname/
%_pkgconfigdir/*

%changelog
* Sun Jul 30 2006 Vitaly Lipatov <lav@altlinux.ru> 2.7.1-alt0.1
- initial build for ALT Linux Sisyphus
